//	Persistence of Vision Ray Tracer Scene Description File
//	File: .pov
//	Date: 
//	Author: Chris Huff
//	 
//	 *******************************************
//	 -------------------------------------------
#include "colors.inc"
#include "textures.inc"
//#include "glass.inc"
//#include "metals.inc"
//#include "stones.inc"
//#include "stones1.inc"
//#include "stones2.inc"
//#include "golds.inc"
//#include "skies.inc"
//#include "woods.inc"
#version unofficial MegaPov 0.5;
//-------------------------------------------
global_settings {
	assumed_gamma 1.8
}

camera {
	location <2, 2.5,-8>
	up y*image_height right x*image_width
	angle 35
	look_at <0, 0.5, 0>
	rotate y*15
}

//box {<-100, 0,-100>, < 100, 0, 100>
//	texture {
//		pigment {checker color Black, color White}
//	}
//}
//*******************************************
#declare rsA = seed(7582);
#declare rsB = seed(4385);
#declare rsC = seed(6543);
#declare rsD = seed(8538);
#declare rsE = seed(5235);


#declare C=0;
#while(C<360)
	union {
		cylinder {	vwarp(< 0, 2*(C-1)/360, 0>, black_hole < 0.5, 1, 0>, 1 strength 2 falloff 2),
					vwarp(< 0, 2*C/360, 0>, black_hole < 0.5, 1, 0>, 1 strength 2 falloff 2), 0.1}
		sphere {vwarp(< 0, 2*C/360, 0>, black_hole < 0.5, 1, 0>, 1 strength 2 falloff 2), 0.1}
		material {
			texture {
				pigment {solid sin(radians(C*2))*0.5+0.5
					color_map {
						[0 color Red]
						[0.3 color Orange]
						[0.75 color Yellow]
						[1 color White]
					}
				}
			}
		}
	}
	#declare C=C+1;
#end


//*******************************************

light_source {<-20, 150, -100> color White}
light_source {< 30, 50,-60> color White*0.3}

light_source {< 10, 40, 80> color White*0.3}

//	 -------------------------------------------