//	Persistence of Vision Ray Tracer Scene Description File
#version unofficial MegaPov 0.5;

#include "colors.inc"
//Start of particle pattern demo file
camera {
//	location < 0, 2.5, -8>*2
	location < 0, 8, 0>*5
	angle 35
	look_at < 0, 0.2, 0>
}

#declare RS = seed(15684);

light_source {< 20, 75, 50>*5 color White*0.5}
light_source {< 0, 2.5, -8>*5 color White*0.3}
light_source {< -75, 150,-50> color White}

#declare Floor =
union {
	box {< -100, 0,-100>, < 100, 0, 100>
		texture {
			pigment {checker color Black transmit 0.5, color White transmit 0.5}
		}
	}
	box {<-1.5,-1.5,-1.5>, < 1.5, 3, 1.5>
		texture {
			pigment {color Green}
		}
		rotate y*45
		scale < 1, 1, 0.5>
	}
}
object {Floor}


#declare System = 
particle_system {
	wind < 0, 0, 0>
	gravity < 0,-0.00981, 0>
	iterations 75
	time 75
	jitter 0
	drag 0
	environment object {Floor}
	threshold 0.5
				
	particle_emitter {
		location <-5, 1, 0>
		direction < 0.35,-0.1, 0>
		radius 0.7
		angle 12
		lifespan 100
		rate 2
		elasticity 0.9
	}
	texture {
		pigment {color rgb < 0.9, 0.9, 1>}
	}
}

#declare numOfParts = get_particle(System);
#declare Pos = < 0, 0, 0>;
#declare Vel = < 0, 0, 0>;

#declare X=0;
#declare J=0;
#while(J<numOfParts)
	#declare X = get_particle(System, J, Pos, Vel);
	sphere {Pos, 0.4
		texture {
			pigment {color rgb < 0.9, 0.9, 1>*vlength(Vel)*3}
		}
	}
	#declare J=J+1;
#end
//object {System
//}

