//	Persistence of Vision Ray Tracer Scene Description File
#version unofficial MegaPov 0.5;

#include "colors.inc"
//Start of particle pattern demo file
camera {
	location <-3, 2.5, -8>*5
	angle 35
	look_at < 0, 0.2, 0>
}

light_source {< 20, 75, 50>*5 color White*0.5}
light_source {< 0, 2.5, -8>*5 color White*0.3}
light_source {< -75, 150,-50> color White}

#declare Floor =
union {
	box {< -100, 0,-100>, < 100, 0, 100>
		texture {
			pigment {color White}
		}
	}
	box {< 2, 0,-10>, < 2.5, 15, 15>
		texture {
			pigment {color Green}
		}
	}
	sphere {<-1.5, 3.5, 1>, 2
		texture {
			pigment {color Blue}
		}
	}
}
object {Floor}

particle_system {
	wind < 0, 0, 0>
	gravity 0//< 0,-0.00981, 0>
	iterations 250
	time 125
	jitter 0
	drag 0
	environment object {Floor}
	threshold 1.1
				
	particle_emitter {
		location <-10, 2.5, 5>
//		object {sphere {<-5.5, 1, 0>, 1}}
		radius 0.25
		stop_time 50
		lifespan 10000
		rate 50
		elasticity 0.001
		direction < 0.2, 0,-0.1>
//		direction < 1, 1, 0>
		angle 24
	}
	texture {
		pigment {color rgb < 0.8, 1, 0.3>}
	}
}
